0
votes
1answer
60 views

“Your Java version is out of date.” on Ubuntu 2014.04

With fully updated Ubuntu 2014.04, Firefox tells me: Your Java version is out of date. How to update Java? Typing java -version in a terminal tells me: java version "1.7.0_51" Java(TM) SE ...
1
vote
2answers
90 views

How can I open Java's Control Panel?

How can I open Java's Control Panel to change the security settings?
3
votes
1answer
4k views

Ubuntu - saying your security settings have blocked an application from running with an out-of-date version of java

I have this new problem since 2014 begin. I cant remotely login to this enterprise network for giving them support. Its keep showing this new error. How to fix it please? EDIT:
3
votes
3answers
10k views

upgraded to 13.04 now getting JREDetection "Your security settings have blocked an untrusted application from running

I upgraded Ubuntu 12.10 to 13.04 upgraded java to 1.8.0-ea-b118 and still cannot run my application to connect to my office. I have checked all the options and spent all day looking for hits on this ...
0
votes
2answers
513 views

Best Practice for Installing Java on Ubuntu / is it secure?

Much has been said about the security risks associated with Java. However the burp suite (pen test) depends on Java. Is it secure to install Java? if so, how to properly do it? My Ubuntu is a web ...
0
votes
0answers
317 views

Run Java applet without granting full permissions

I have the following JRE installed: user@host:/$ java -version java version "1.7.0_25" OpenJDK Runtime Environment (IcedTea 2.3.10) (7u25-2.3.10-1ubuntu0.12.04.2) OpenJDK Server VM (build 23.7-b01, ...
5
votes
4answers
428 views

How to protect Ubuntu12.10 from Viruses, Spywares, Spamware and Intruders?

I have been using Windows OS for a long time and there i needed to install a separate Anti virus Program (included with firewall, anti spam) etc.. With my mentor's recommendation, I have replaced ...
1
vote
1answer
203 views

Can Mal/JavaJar-B infect an Ubuntu/Linux OS?

I've just read about the Mal/JavaJar-B malware that is apparently capable of attacking OS X computers via a security hole in Java. I've also heard a few people mention that it can also affect Linux ...
1
vote
1answer
1k views

Are we affected by the JAVA vulnerability? Are all “applets” affected? [duplicate]

Possible Duplicate: is OpenJDK Vulnerable to 0-Day Exploit? I read today that the Department of Homeland Security has warned against Java-run systems and requested users to ...
0
votes
1answer
118 views

Java 1.7 bugs affect ubuntu too?

I remember hearing bad things about java 1.7 on windows and OS-X, but are the same security holes present in Ubuntu?
9
votes
3answers
3k views

Does java security flaw affects ubuntu also?

There are rumors about an actual java security problem. The BSI advises people to deactivate java plugins version 7 and prior in all kind of OS, even in linux. Does this mean, I should deactivate ...
4
votes
3answers
7k views

Remove or disable java due to the security issue

According to the news there's java security hole that is still not fixed. How can Ubuntu users protect their PC? I've got gnome-shell installed and as far as I understand it depends on java. Which ...